import { defineConfig } from 'vite';
import vue from '@vitejs/plugin-vue'
import hooks from '@midwayjs/vite-plugin-hooks';

const { resolve } = require('path')

// https://vitejs.dev/config/
export default defineConfig({
    plugins: [
        hooks(),
        vue(),
    ],
    resolve: {
        alias: {
            '@': resolve(__dirname, 'src'),
        }
    },
    css: {
        preprocessorOptions: {
            scss: {
                additionalData: `
                @import "@/styles/_variables.scss";
                @import "@/styles/_mixin.scss";
                `
            }
        }
    }
});
